# -*- coding: utf-8 -*-
"""
Created on Wed Apr 22 21:22:01 2020

@author: shuangquanzhang
"""


import numpy as np
import pandas as pd 
from measure_code import com_measure
path='/pylon5/cc5fpcp/cankun/trial_models/desso/output/encode_101copy/gc_match/'
names=pd.read_csv('/pylon5/cc5fpcp/cankun/trial_models/desso/data/encode_tfbs.txt',sep='\t')
names=list(names.iloc[:,0])
name=[t.split('_')[-1] for t in names]
colname=['Precision','Recall','F1_score','ACC','Specificity','MCC','AUC','PRC']
data=dict()
data['Precision']=[]
data['Recall']=[]
data['F1_score']=[]
data['ACC']=[]
data['Specificity']=[]
data['MCC']=[]
data['AUC']=[]
data['PRC']=[]
for i in range(len(name)):
    print(name[i])
    dessoCNN=np.loadtxt(path+name[i]+'/Seq/CNN/Test_result.txt')
    print(dessoCNN.shape)
    cres=com_measure(dessoCNN.T[:,0],dessoCNN.T[:,1])
    data['Precision'].append(cres[0])
    data['Recall'].append(cres[1])
    data['F1_score'].append(cres[2])
    data['ACC'].append(cres[3])
    data['Specificity'].append(cres[4])
    data['MCC'].append(cres[5])
    data['AUC'].append(cres[6])
    data['PRC'].append(cres[7])
    
data=pd.DataFrame(data)
data.to_excel('./data.xlsx',index=None)
    
