#!/bin/bash
#SBATCH -p LM
#SBATCH --ntasks-per-node 2
#SBATCH -t 3:00:00
#SBATCH --mem 128GB
# echo commands to stdout 
#set -x

# move to your appropriate pylon5 directory
# this job assumes:
#  - all input data is stored in this directory
#  - all output should be stored in this directory
#This job runs with 2 nodes, 24 cores per node for a total of 48 cores.
#ibrun in verbose mode will give binding detail
cd /pylon5/cc5fpcp/cankun/trial_models/desso/output/encode_101copy
#python com_auc.py
cp -R /pylon5/cc5fpcp/cankun/trial_models/desso/output/encode101/gc_match/* /pylon5/cc5fpcp/cankun/trial_models/desso/output/encode101copy/gc_match/
